<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8"/>
    <link rel="stylesheet" href="sandstone.css">
    <script type="text/javascript" src="user.js"></script>
    <script type="text/javascript" src="group.js"> </script>
    <script type="text/javascript" src="category.js"> </script>
    <script type="text/javascript" src="location.js"> </script>
    <script type="text/javascript" src="entry.js"> </script>
    <script type="text/javascript" src="total.js"> </script>

    <script type="text/javascript" src="handlers.js"> </script>
</head>

<body>
<title>HPTTS</title>
    <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
        <a class="navbar-brand" href="index.html">HPTTS</a>
        <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarColor01" aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="navbar-collapse collapse" id="navbarColor01">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
                <a class="nav-link" href="log_entry_input.html">New log entry</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="other_entities_input.html">New other entity</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="overview.html">Overview</a>
            </li>
        </ul>
        <a class="nav-link" href="login.html">Login</a>
        </div>
    </nav>
<div id="main_container" style="padding:50px; padding-top:30px">
    <h1>Create new log entry</h1>
    <fieldset>
            <legend>Entry</legend>
            <div class="form-group">
                    <label for="inputEntryUsers">User names</label>
                    <select multiple class="form-control" id="inputEntryUsers">
                            <script> getUsers(fillEntryUsers, alert); </script>
                    </select>
            </div>

            <div class="form-group">
                    <label for="inputEntryStartingTime">Starting time </label>
                    <input type="datetime-local" class="form-control" id="inputEntryStartingTime">
            </div>

            <div class="form-group">
                    <label for="inputEntryEndingTime">Ending time </label>
                    <input type="datetime-local" class="form-control" id="inputEntryEndingTime">
            </div>

            <div class="form-group">
                    <label for="inputEntryCategory">Category</label>
                    <select class="form-control" id="inputEntryCategory">
                        <script> getCategories(fillEntryCategories, alert); </script>
                    </select>
            </div>

            <div class="form-group">
                    <label for="inputEntryLocation">Location</label>
                    <select class="form-control" id="inputEntryLocation">
                        <script> getLocations(fillEntryLocations, alert); </script>
                    </select>
            </div>

            <div class="form-group">
                    <label for="inputEntryDescription">Description</label>
                    <textarea class="form-control" id="inputEntryDescription" rows="3"></textarea>
            </div>

            <button onclick="postEntries(inputEntryUsers.selectedOptions, createEntryJSBody(inputEntryStartingTime.value, inputEntryEndingTime.value, inputEntryDescription.value, inputEntryCategory.value, inputEntryLocation.value), alert, alert)" class="btn btn-primary">Create new entry</button>
    </fieldset>

</div>

</body>
</html>
